diff --git a/flags/14.0/mysqlctl.txt b/flags/15.0/mysqlctl.txt
index a535bc4..6444c8f 100644
--- a/flags/14.0/mysqlctl.txt
+++ b/flags/15.0/mysqlctl.txt
@@ -1,150 +1,86 @@
-Usage of mysqlctl:
-      --alsologtostderr                                                  log to standard error as well as files
-      --app_idle_timeout duration                                        Idle timeout for app connections (default 1m0s)
-      --app_pool_size int                                                Size of the connection pool for app connections (default 40)
-      --backup_engine_implementation string                              Specifies which implementation to use for creating new backups (builtin or xtrabackup). Restores will always be done with whichever engine created a given backup. (default builtin)
-      --backup_storage_block_size int                                    if backup_storage_compress is true, backup_storage_block_size sets the byte size for each block while compressing (default is 250000). (default 250000)
-      --backup_storage_compress                                          if set, the backup files will be compressed (default is true). Set to false for instance if a backup_storage_hook is specified and it compresses the data. (default true)
-      --backup_storage_hook string                                       if set, we send the contents of the backup files through this hook.
-      --backup_storage_implementation string                             which implementation to use for the backup storage feature
-      --backup_storage_number_blocks int                                 if backup_storage_compress is true, backup_storage_number_blocks sets the number of blocks that can be processed, at once, before the writer blocks, during compression (default is 2). It should be equal to the number of CPUs available for compression (default 2)
-      --builtinbackup_mysqld_timeout duration                            how long to wait for mysqld to shutdown at the start of the backup (default 10m0s)
-      --builtinbackup_progress duration                                  how often to send progress updates when backing up large files (default 5s)
-      --catch-sigpipe                                                    catch and ignore SIGPIPE on stdout and stderr if specified
-      --cpu_profile string                                               deprecated: use '-pprof=cpu' instead
-      --datadog-agent-host string                                        host to send spans to. if empty, no tracing will be done
-      --datadog-agent-port string                                        port to send spans to. if empty, no tracing will be done
-      --db-config-dba-charset string                                     deprecated: use db_charset (default utf8mb4)
-      --db-config-dba-flags uint                                         deprecated: use db_flags
-      --db-config-dba-flavor string                                      deprecated: use db_flavor
-      --db-config-dba-host string                                        deprecated: use db_host
-      --db-config-dba-pass string                                        db dba deprecated: use db_dba_password
-      --db-config-dba-port int                                           deprecated: use db_port
-      --db-config-dba-server_name string                                 deprecated: use db_server_name
-      --db-config-dba-ssl-ca string                                      deprecated: use db_ssl_ca
-      --db-config-dba-ssl-ca-path string                                 deprecated: use db_ssl_ca_path
-      --db-config-dba-ssl-cert string                                    deprecated: use db_ssl_cert
-      --db-config-dba-ssl-key string                                     deprecated: use db_ssl_key
-      --db-config-dba-uname string                                       deprecated: use db_dba_user (default vt_dba)
-      --db-config-dba-unixsocket string                                  deprecated: use db_socket
-      --db-credentials-file string                                       db credentials file; send SIGHUP to reload this file
-      --db-credentials-server string                                     db credentials server type ('file' - file implementation; 'vault' - HashiCorp Vault implementation) (default file)
-      --db-credentials-vault-addr string                                 URL to Vault server
-      --db-credentials-vault-path string                                 Vault path to credentials JSON blob, e.g.: secret/data/prod/dbcreds
-      --db-credentials-vault-role-mountpoint string                      Vault AppRole mountpoint; can also be passed using VAULT_MOUNTPOINT environment variable (default approle)
-      --db-credentials-vault-role-secretidfile string                    Path to file containing Vault AppRole secret_id; can also be passed using VAULT_SECRETID environment variable
-      --db-credentials-vault-roleid string                               Vault AppRole id; can also be passed using VAULT_ROLEID environment variable
-      --db-credentials-vault-timeout duration                            Timeout for vault API operations (default 10s)
-      --db-credentials-vault-tls-ca string                               Path to CA PEM for validating Vault server certificate
-      --db-credentials-vault-tokenfile string                            Path to file containing Vault auth token; token can also be passed using VAULT_TOKEN environment variable
-      --db-credentials-vault-ttl duration                                How long to cache DB credentials from the Vault server (default 30m0s)
-      --db_charset string                                                Character set used for this tablet. (default utf8mb4)
-      --db_conn_query_info                                               enable parsing and processing of QUERY_OK info fields
-      --db_connect_timeout_ms int                                        connection timeout to mysqld in milliseconds (0 for no timeout)
-      --db_dba_password string                                           db dba password
-      --db_dba_use_ssl                                                   Set this flag to false to make the dba connection to not use ssl (default true)
-      --db_dba_user string                                               db dba user userKey (default vt_dba)
-      --db_flags uint                                                    Flag values as defined by MySQL.
-      --db_flavor string                                                 Flavor overrid. Valid value is FilePos.
-      --db_host string                                                   The host name for the tcp connection.
-      --db_port int                                                      tcp port
-      --db_server_name string                                            server name of the DB we are connecting to.
-      --db_socket string                                                 The unix socket to connect on. If this is specified, host and port will not be used.
-      --db_ssl_ca string                                                 connection ssl ca
-      --db_ssl_ca_path string                                            connection ssl ca path
-      --db_ssl_cert string                                               connection ssl certificate
-      --db_ssl_key string                                                connection ssl key
-      --db_ssl_mode value                                                SSL mode to connect with. One of disabled, preferred, required, verify_ca & verify_identity.
-      --db_tls_min_version string                                        Configures the minimal TLS version negotiated when SSL is enabled. Defaults to TLSv1.2. Options: TLSv1.0, TLSv1.1, TLSv1.2, TLSv1.3.
-      --dba_idle_timeout duration                                        Idle timeout for dba connections (default 1m0s)
-      --dba_pool_size int                                                Size of the connection pool for dba connections (default 20)
-      --disable_active_reparents                                         if set, do not allow active reparents. Use this to protect a cluster using external reparents.
-      --emit_stats                                                       If set, emit stats to push-based monitoring and stats backends
-      --grpc_auth_mode string                                            Which auth plugin implementation to use (eg: static)
-      --grpc_auth_mtls_allowed_substrings string                         List of substrings of at least one of the client certificate names (separated by colon).
-      --grpc_auth_static_client_creds string                             when using grpc_static_auth in the server, this file provides the credentials to use to authenticate with server
-      --grpc_auth_static_password_file string                            JSON File to read the users/passwords from.
-      --grpc_ca string                                                   server CA to use for gRPC connections, requires TLS, and enforces client certificate check
-      --grpc_cert string                                                 server certificate to use for gRPC connections, requires grpc_key, enables TLS
-      --grpc_compression string                                          Which protocol to use for compressing gRPC. Default: nothing. Supported: snappy
-      --grpc_crl string                                                  path to a certificate revocation list in PEM format, client certificates will be further verified against this file during TLS handshake
-      --grpc_enable_optional_tls                                         enable optional TLS mode when a server accepts both TLS and plain-text connections on the same port
-      --grpc_enable_tracing                                              Enable GRPC tracing
-      --grpc_initial_conn_window_size int                                gRPC initial connection window size
-      --grpc_initial_window_size int                                     gRPC initial window size
-      --grpc_keepalive_time duration                                     After a duration of this time, if the client doesn't see any activity, it pings the server to see if the transport is still alive. (default 10s)
-      --grpc_keepalive_timeout duration                                  After having pinged for keepalive check, the client waits for a duration of Timeout and if no activity is seen even after that the connection is closed. (default 10s)
-      --grpc_key string                                                  server private key to use for gRPC connections, requires grpc_cert, enables TLS
-      --grpc_max_connection_age duration                                 Maximum age of a client connection before GoAway is sent. (default 2562047h47m16.854775807s)
-      --grpc_max_connection_age_grace duration                           Additional grace period after grpc_max_connection_age, after which connections are forcibly closed. (default 2562047h47m16.854775807s)
-      --grpc_max_message_size int                                        Maximum allowed RPC message size. Larger messages will be rejected by gRPC with the error 'exceeding the max size'. (default 16777216)
-      --grpc_port int                                                    Port to listen on for gRPC calls
-      --grpc_prometheus                                                  Enable gRPC monitoring with Prometheus
-      --grpc_server_ca string                                            path to server CA in PEM format, which will be combine with server cert, return full certificate chain to clients
-      --grpc_server_initial_conn_window_size int                         gRPC server initial connection window size
-      --grpc_server_initial_window_size int                              gRPC server initial window size
-      --grpc_server_keepalive_enforcement_policy_min_time duration       gRPC server minimum keepalive time (default 10s)
-      --grpc_server_keepalive_enforcement_policy_permit_without_stream   gRPC server permit client keepalive pings even when there are no active streams (RPCs)
-      --jaeger-agent-host string                                         host and port to send spans to. if empty, no tracing will be done
-      --keep_logs duration                                               keep logs for this long (using ctime) (zero to keep forever)
-      --keep_logs_by_mtime duration                                      keep logs for this long (using mtime) (zero to keep forever)
-      --lameduck-period duration                                         keep running at least this long after SIGTERM before stopping (default 50ms)
-      --log_backtrace_at value                                           when logging hits line file:N, emit a stack trace
-      --log_dir string                                                   If non-empty, write log files in this directory
-      --log_err_stacks                                                   log stack traces for errors
-      --log_rotate_max_size uint                                         size in bytes at which logs are rotated (glog.MaxSize) (default 1887436800)
-      --logtostderr                                                      log to standard error instead of files
-      --master_connect_retry duration                                    Deprecated, use -replication_connect_retry (default 10s)
-      --mem-profile-rate int                                             deprecated: use '-pprof=mem' instead (default 524288)
-      --mutex-profile-fraction int                                       deprecated: use '-pprof=mutex' instead
-      --mysql_auth_server_static_file string                             JSON File to read the users/passwords from.
-      --mysql_auth_server_static_string string                           JSON representation of the users/passwords config.
-      --mysql_auth_static_reload_interval duration                       Ticker to reload credentials
-      --mysql_clientcert_auth_method string                              client-side authentication method to use. Supported values: mysql_clear_password, dialog. (default mysql_clear_password)
-      --mysql_port int                                                   mysql port (default 3306)
-      --mysql_server_flush_delay duration                                Delay after which buffered response will be flushed to the client. (default 100ms)
-      --mysql_server_version string                                      MySQL server version to advertise.
-      --mysql_socket string                                              path to the mysql socket
-      --mysqlctl_client_protocol string                                  the protocol to use to talk to the mysqlctl server (default grpc)
-      --mysqlctl_mycnf_template string                                   template file to use for generating the my.cnf file during server init
-      --mysqlctl_socket string                                           socket file to use for remote mysqlctl actions (empty for local actions)
-      --onclose_timeout duration                                         wait no more than this for OnClose handlers before stopping (default 1ns)
-      --onterm_timeout duration                                          wait no more than this for OnTermSync handlers before stopping (default 10s)
-      --pid_file string                                                  If set, the process will write its pid to the named file, and delete it on graceful shutdown.
-      --pool_hostname_resolve_interval duration                          if set force an update to all hostnames and reconnect if changed, defaults to 0 (disabled)
-      --port int                                                         vttablet port (default 6612)
-      --pprof string                                                     enable profiling
-      --purge_logs_interval duration                                     how often try to remove old logs (default 1h0m0s)
-      --remote_operation_timeout duration                                time to wait for a remote operation (default 30s)
-      --replication_connect_retry duration                               how long to wait in between replica reconnect attempts. Only precise to the second. (default 10s)
-      --security_policy string                                           the name of a registered security policy to use for controlling access to URLs - empty means allow all for anyone (built-in policies: deny-all, read-only)
-      --service_map value                                                comma separated list of services to enable (or disable if prefixed with '-') Example: grpc-vtworker
-      --sql-max-length-errors int                                        truncate queries in error logs to the given length (default unlimited)
-      --sql-max-length-ui int                                            truncate queries in debug UIs to the given length (default 512) (default 512)
-      --stats_backend string                                             The name of the registered push-based monitoring/stats backend to use
-      --stats_combine_dimensions string                                  List of dimensions to be combined into a single "all" value in exported stats vars
-      --stats_common_tags string                                         Comma-separated list of common tags for the stats backend. It provides both label and values. Example: label1:value1,label2:value2
-      --stats_drop_variables string                                      Variables to be dropped from the list of exported variables.
-      --stats_emit_period duration                                       Interval between emitting stats to all registered backends (default 1m0s)
-      --stderrthreshold value                                            logs at or above this threshold go to stderr (default 1)
-      --tablet_dir string                                                The directory within the vtdataroot to store vttablet/mysql files. Defaults to being generated by the tablet uid.
-      --tablet_manager_protocol string                                   the protocol to use to talk to vttablet (default grpc)
-      --tablet_uid uint                                                  tablet uid (default 41983)
-      --topo_global_root string                                          the path of the global topology data in the global topology server
-      --topo_global_server_address string                                the address of the global topology server
-      --topo_implementation string                                       the topology implementation to use
-      --tracer string                                                    tracing service to use (default noop)
-      --tracing-enable-logging                                           whether to enable logging in the tracing service
-      --tracing-sampling-rate value                                      sampling rate for the probabilistic jaeger sampler (default 0.1)
-      --tracing-sampling-type value                                      sampling strategy to use for jaeger. possible values are 'const', 'probabilistic', 'rateLimiting', or 'remote' (default const)
-      --v value                                                          log level for V logs
-      --version                                                          print binary version
-      --vmodule value                                                    comma-separated list of pattern=N settings for file-filtered logging
-      --xbstream_restore_flags string                                    flags to pass to xbstream command during restore. These should be space separated and will be added to the end of the command. These need to match the ones used for backup e.g. --compress / --decompress, --encrypt / --decrypt
-      --xtrabackup_backup_flags string                                   flags to pass to backup command. These should be space separated and will be added to the end of the command
-      --xtrabackup_prepare_flags string                                  flags to pass to prepare command. These should be space separated and will be added to the end of the command
-      --xtrabackup_root_path string                                      directory location of the xtrabackup and xbstream executables, e.g., /usr/bin
-      --xtrabackup_stream_mode string                                    which mode to use if streaming, valid values are tar and xbstream (default tar)
-      --xtrabackup_stripe_block_size uint                                Size in bytes of each block that gets sent to a given stripe before rotating to the next stripe (default 102400)
-      --xtrabackup_stripes uint                                          If greater than 0, use data striping across this many destination files to parallelize data transfer and decompression
-      --xtrabackup_user string                                           User that xtrabackup will use to connect to the database server. This user must have all necessary privileges. For details, please refer to xtrabackup documentation.
+Usage: mysqlctl [global-flags] <command> -- [command-flags]
+
+The commands are listed below. Use 'mysqlctl <command> -- {-h, --help}' for command help.
+
+  init [--wait_time=5m] [--init_db_sql_file=]
+  init_config
+  reinit_config
+  teardown [--wait_time=5m] [--force]
+  start [--wait_time=5m]
+  shutdown [--wait_time=5m]
+  position <operation> <pos1> <pos2 | gtid>
+
+Global flags:
+      --alsologtostderr                                 log to standard error as well as files
+      --app_idle_timeout duration                       Idle timeout for app connections (default 1m0s)
+      --app_pool_size int                               Size of the connection pool for app connections (default 40)
+      --catch-sigpipe                                   catch and ignore SIGPIPE on stdout and stderr if specified
+      --db-credentials-file string                      db credentials file; send SIGHUP to reload this file
+      --db-credentials-server string                    db credentials server type ('file' - file implementation; 'vault' - HashiCorp Vault implementation) (default "file")
+      --db-credentials-vault-addr string                URL to Vault server
+      --db-credentials-vault-path string                Vault path to credentials JSON blob, e.g.: secret/data/prod/dbcreds
+      --db-credentials-vault-role-mountpoint string     Vault AppRole mountpoint; can also be passed using VAULT_MOUNTPOINT environment variable (default "approle")
+      --db-credentials-vault-role-secretidfile string   Path to file containing Vault AppRole secret_id; can also be passed using VAULT_SECRETID environment variable
+      --db-credentials-vault-roleid string              Vault AppRole id; can also be passed using VAULT_ROLEID environment variable
+      --db-credentials-vault-timeout duration           Timeout for vault API operations (default 10s)
+      --db-credentials-vault-tls-ca string              Path to CA PEM for validating Vault server certificate
+      --db-credentials-vault-tokenfile string           Path to file containing Vault auth token; token can also be passed using VAULT_TOKEN environment variable
+      --db-credentials-vault-ttl duration               How long to cache DB credentials from the Vault server (default 30m0s)
+      --db_charset string                               Character set used for this tablet. (default "utf8mb4")
+      --db_conn_query_info                              enable parsing and processing of QUERY_OK info fields
+      --db_connect_timeout_ms int                       connection timeout to mysqld in milliseconds (0 for no timeout)
+      --db_dba_password string                          db dba password
+      --db_dba_use_ssl                                  Set this flag to false to make the dba connection to not use ssl (default true)
+      --db_dba_user string                              db dba user userKey (default "vt_dba")
+      --db_flags uint                                   Flag values as defined by MySQL.
+      --db_flavor string                                Flavor overrid. Valid value is FilePos.
+      --db_host string                                  The host name for the tcp connection.
+      --db_port int                                     tcp port
+      --db_server_name string                           server name of the DB we are connecting to.
+      --db_socket string                                The unix socket to connect on. If this is specified, host and port will not be used.
+      --db_ssl_ca string                                connection ssl ca
+      --db_ssl_ca_path string                           connection ssl ca path
+      --db_ssl_cert string                              connection ssl certificate
+      --db_ssl_key string                               connection ssl key
+      --db_ssl_mode SslMode                             SSL mode to connect with. One of disabled, preferred, required, verify_ca & verify_identity.
+      --db_tls_min_version string                       Configures the minimal TLS version negotiated when SSL is enabled. Defaults to TLSv1.2. Options: TLSv1.0, TLSv1.1, TLSv1.2, TLSv1.3.
+      --dba_idle_timeout duration                       Idle timeout for dba connections (default 1m0s)
+      --dba_pool_size int                               Size of the connection pool for dba connections (default 20)
+      --grpc_auth_static_client_creds string            When using grpc_static_auth in the server, this file provides the credentials to use to authenticate with server.
+      --grpc_compression string                         Which protocol to use for compressing gRPC. Default: nothing. Supported: snappy
+      --grpc_initial_conn_window_size int               gRPC initial connection window size
+      --grpc_initial_window_size int                    gRPC initial window size
+      --grpc_keepalive_time duration                    After a duration of this time, if the client doesn't see any activity, it pings the server to see if the transport is still alive. (default 10s)
+      --grpc_keepalive_timeout duration                 After having pinged for keepalive check, the client waits for a duration of Timeout and if no activity is seen even after that the connection is closed. (default 10s)
+  -h, --help                                            display usage and exit
+      --keep_logs duration                              keep logs for this long (using ctime) (zero to keep forever)
+      --keep_logs_by_mtime duration                     keep logs for this long (using mtime) (zero to keep forever)
+      --lameduck-period duration                        keep running at least this long after SIGTERM before stopping (default 50ms)
+      --log_backtrace_at traceLocation                  when logging hits line file:N, emit a stack trace (default :0)
+      --log_dir string                                  If non-empty, write log files in this directory
+      --log_err_stacks                                  log stack traces for errors
+      --log_rotate_max_size uint                        size in bytes at which logs are rotated (glog.MaxSize) (default 1887436800)
+      --logtostderr                                     log to standard error instead of files
+      --mysql_port int                                  MySQL port (default 3306)
+      --mysql_server_version string                     MySQL server version to advertise.
+      --mysql_socket string                             Path to the mysqld socket file
+      --mysqlctl_client_protocol string                 the protocol to use to talk to the mysqlctl server (default "grpc")
+      --mysqlctl_mycnf_template string                  template file to use for generating the my.cnf file during server init
+      --mysqlctl_socket string                          socket file to use for remote mysqlctl actions (empty for local actions)
+      --onclose_timeout duration                        wait no more than this for OnClose handlers before stopping (default 1ns)
+      --onterm_timeout duration                         wait no more than this for OnTermSync handlers before stopping (default 10s)
+      --pid_file string                                 If set, the process will write its pid to the named file, and delete it on graceful shutdown.
+      --pool_hostname_resolve_interval duration         if set force an update to all hostnames and reconnect if changed, defaults to 0 (disabled)
+      --port int                                        port for the server
+      --pprof strings                                   enable profiling
+      --purge_logs_interval duration                    how often try to remove old logs (default 1h0m0s)
+      --replication_connect_retry duration              how long to wait in between replica reconnect attempts. Only precise to the second. (default 10s)
+      --security_policy string                          the name of a registered security policy to use for controlling access to URLs - empty means allow all for anyone (built-in policies: deny-all, read-only)
+      --service_map strings                             comma separated list of services to enable (or disable if prefixed with '-') Example: grpc-queryservice
+      --socket_file string                              Local unix socket file to listen on
+      --stderrthreshold severity                        logs at or above this threshold go to stderr (default 1)
+      --tablet_dir string                               The directory within the vtdataroot to store vttablet/mysql files. Defaults to being generated by the tablet uid.
+      --tablet_uid uint                                 Tablet UID (default 41983)
+      --v Level                                         log level for V logs
+  -v, --version                                         print binary version
+      --vmodule moduleSpec                              comma-separated list of pattern=N settings for file-filtered logging
